al_color_rgb_to_hsl(3)

NAME

al_color_rgb_to_hsl - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    void al_color_rgb_to_hsl(float red, float green, float blue,
       float *hue, float *saturation, float *lightness)

DESCRIPTION

Given an RGB triplet with components in the range 0..1, return the hue in degrees from 0..360 and saturation and lightness in the range 0..1.

SEE ALSO

al_color_hsl_to_rgb(3), al_color_hsl(3)